## Class TPageStatePersister

Description

Implements interfaces:

- IPageStatePersister

TPageStatePersister class

TPageStatePersister implements a page state persistent method based on form hidden fields.

Since page state can be very big for complex pages, consider using alternative persisters, such as TSessionPageStatePersister, which store page state on the server side and thus reduce the network traffic for transmitting bulky page state.

- since: 3.0
- version: $Id: TPageStatePersister.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/TPageStatePersister.php (line 29)

    TComponent
       |
       --TPageStatePersister

Method Summary
TPage getPage ()
mixed load ()
void save (mixed $state)
void setPage (TPage $page)
Methods
getPage (line 36)

- return: the page that this persister works for
- access: public

TPage getPage ()
load (line 63)

Loads page state from hidden fields.

- return: the restored state
- access: public
- throws: THttpException if page state is corrupted

mixed load ()
save (line 53)

Saves state in hidden fields.

- access: public

void save (mixed $state)

- mixed $state: state to be stored

setPage (line 44)

- access: public

void setPage (TPage $page)

- TPage $page: the page that this persister works for

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:50 -0400 by phpDocumentor 1.3.0RC4